cURL
curl --request GET \
--url https://external.vin.gs/api/v1/recurring-payments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.vin.gs/api/v1/recurring-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://external.vin.gs/api/v1/recurring-payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.vin.gs/api/v1/recurring-payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"recurring": [
{
"merchant": "<string>",
"avgAmount": {
"amount_cents": 123,
"currency": "<string>"
},
"lastDate": "<string>",
"occurrences": 123,
"nextDate": "<string>"
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}Transactions
Get v1recurring payments
GET
/
v1
/
recurring-payments
cURL
curl --request GET \
--url https://external.vin.gs/api/v1/recurring-payments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.vin.gs/api/v1/recurring-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://external.vin.gs/api/v1/recurring-payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.vin.gs/api/v1/recurring-payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"recurring": [
{
"merchant": "<string>",
"avgAmount": {
"amount_cents": 123,
"currency": "<string>"
},
"lastDate": "<string>",
"occurrences": 123,
"nextDate": "<string>"
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}⌘I